gnutls_certificate_get_crt_raw(3)

NAME
gnutls_certificate_get_crt_raw - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_get_crt_raw(gnutls_certificate_credentials_t sc, unsigned idx1, unsigned idx2, gnutls_datum_t * cert);

ARGUMENTS

gnutls_certificate_credentials_t sc
    is a gnutls_certificate_credentials_t type.

unsigned idx1
    the index of the certificate chain if multiple are present

unsigned idx2
    the index of the certificate in the chain. Zero gives the server's certificate.

gnutls_datum_t * cert
    Will hold the DER encoded certificate.

DESCRIPTION
This function will return the DER encoded certificate of the server or any other certificate on its certificate chain (based on idx2 ). The returned data should be treated as constant and only accessible during the lifetime of sc .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. In case the indexes are out of bounds GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned.

SINCE
3.2.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/